#pragma once
#include <string>
#include <fitsio.h>

using namespace std;

class SourceFits
{
	//Atributos
protected:
	fitsfile* fptr;			//Puntero al archivo
	int status;				//Status debe inicializarse en 0
	int nfound;				//???
	long int* data;			//Puntero con toda la información
	long int naxes[3];		//Arreglo que contiene el tamaño de los ejes
public:
	string filename;		//Nombre del archivo
	long Xs;				//Eje X
	long Ys;				//Eje Y
	long Frames;			//Eje T

	//Metodos
public:
	SourceFits();
	SourceFits(string name);
	virtual ~SourceFits();
	virtual void free_data();
	long* getData();
};

